Subject: Re: CVS and CR, LF
From: David Koski <[email-masked]>
To: Andrew Markebo <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Dec 2001 20:46:23 -0800

You are correct about the mount points.  I mounted in binary mode, then used cvs
in bash and it now works correctly.  Setting CYGWIN=binmode did not have the
same effect.

Thank you for your input.

David
[email-masked]

On 22 Dec 2001 10:15:51 +0100
Andrew Markebo <[email-masked]> wrote:

> Which cvs do you use (cygwin?) and how do you connect to the repository? 
> 
> Doesn't the windows/dos cvs'es convert CRLF's to LF (or what it is ;-)
> When we use wincvs around here, talking to a repository-server on
> unix, I think it is taken care of automagically.
> 
> Hmm could it be the mounts of the filesystems you edit the files on?
> If you mount it as textmode, cygwin cvs might just see the LF's.. 
> 
>         /Andy
> 
> / David Koski <[email-masked]> wrote:
> | Hello,
> | 
> | I have been using CVS successfully to maintain source code on a Linux based
CVS
> | server.  The files have been edited with DOS applications and have CR, LF
record
> | terminators.  The local source is on a Linux Samba share so it has been easy
to

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/